Page 1 of 1

Oricutron and Mac Sierra and High Sierra

Posted: Sun Oct 15, 2017 7:35 pm
by Pengwin
Does anyone know of an issue that prevents Oricutron from running on the afore mentioned operating systems.

Since I upgraded to Sierra (was that a year ago?) I haven't managed to run Oricutron. I recently upgraded to High Sierra and it's still not able to load the emulator. Anyone else found this?

Re: Oricutron and Mac Sierra and High Sierra

Posted: Sat Oct 21, 2017 10:01 pm
by dolarfred
I've not a perfect solution, But try that:

Right Click on Oricutron.app -> 'show package content' -> open content folder -> open MacOs folder -> double-click 'Oricutron'

Oricutron would be launch via 'terminal' , it runs for me with Sierra and Oricutron 1.2.

(After you can make an alias of the 'Oricutron' file located in the MacOs folder)

Re: Oricutron and Mac Sierra and High Sierra

Posted: Sun Oct 22, 2017 11:21 am
by ibisum
I'm running it just fine on High Sierra, and Sierra before that - but I'm building from sources and running my own binary.

So maybe its something with app bundle signing that is not working any more? Perhaps its time for an updated public release build that signs the bundle per the latest MacOS requirements?

Re: Oricutron and Mac Sierra and High Sierra

Posted: Sun Oct 22, 2017 8:40 pm
by Pengwin
Thanks for the assistance guys. I ended up rebuilding from source. I found I did have to remove the reference to the pch file though.
But it all works now.